# FtpAccess

Open a file or directory on the remote system.

## SYNOPSIS

    #include <ftplib.h>
    int FtpAccess(const char *path, int typ, int mode, netbuf *nControl,
        netbuf **nData);

## PARAMETERS

path
  Specifies the name of the remote file or directory to open.
typ
  Specifies the type of transfer to be performed. FTPLIB_DIR performs a terse directory. FTPLIB_DIR_VERBOSE performs a verbose directory. FTPLIB_FILE_READ opens a remote file for reading. FTPLIB_FILE_WRITE creates a remote file and readies it for writing.
mode
  Specifies the transfer mode as FTPLIB_ASCII or FTPLIB_IMAGE.
nControl
  A handle returned by FtpConnect().
nData
  Specifies the address to store a pointer to the created data handle.

## DESCRIPTION

FtpAccess() opens a remote file or directory and returns a handle for the calling program to use to transfer data.

## RETURN VALUE

Returns 1 if successful or 0 on error.